Subject: Re: defining _win32: was: I: gcc ... -U_WIN32 ... may cause problems
From: [email-masked] (Christopher G. Faylor)

13 Sep 1998 23:35:18 GMT
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Michael Weiser <[email-masked]> wrote:
>Hello Craig, you wrote:
>>> I am the silly b* who started this thread.  I am, sort of, sorry I did :-)
>>> To brig it back to the original intent or kill it, rather than start another, 
>>We are no longer talking about just the stat call, and possibly stuff in the
>>compiler headers, but more about the applications that are out there (that use
>>the _WIN32 and unix defines without realizing they are not necessarily mutually
>>exclusive.
>>
>>We are looking for a solution such that we do not have to modify 3rd party
>>source code to use them.
>As I already wrote (and Michael IMHO meant in his posting) it doesn't
>matter how and why and where _WIN32 is defined. The headers just have
>to be changed to allow that one who doesn't need the Win32 API can
>undefine _WIN32 without any hassles. Using this, one could simply add
>-U_WIN32 or -D_WIN32 if he or she wants an unix-like or a native win32
>application respectively.

If anyone has patches to the headers to accomplish this, I'll be happy
to look at them.

As usual, actual code is always preferred to endless discussion and
rehashing of the same point(s) over and over and...
-- 
[email-masked]
http://www.cygnus.com/